What versions of the Beyond Identity Authenticator are supported?

This support article lists out steps to take if you're receiving the message “The version of Beyond Identity that you are on is no longer supported. Please update to the latest one.” in your Beyond Identity Authenticator. It also lists the versions of the Authenticator that are discontinued.


Updating the Authenticator

The reason why you see this message is simply that we are no longer supporting this version. Upgrading to a newer release will resolve the issue and ensures that you have the highest security and access to the newest features.

  1. Go to https://app.byndid.com/downloads

  2. Download the new version and install it, or follow the platform-specific instructions


Discontinued versions

  • 2.16.1 and older on Windows

  • 2.26 and older versions on macOS/iOS/Android